OpenJPEG 2.5.2

Functions
jp2k_decoder.h File Reference
`#include "byte_manager.h"`
`#include "ihdrbox_manager.h"`

Go to the source code of this file.

## Functions
Byte_t * | j2k_to_pnm (const char *fn, ihdrbox_param_t **ihdrbox)

## Function Documentation

## ◆ j2k_to_pnm()

Byte_t * j2k_to_pnm | ( | const char * | fn,
|  | ihdrbox_param_t ** | ihdrbox )

References opj_dparameters::DA_x0, opj_dparameters::DA_x1, opj_dparameters::DA_y0, opj_dparameters::DA_y1, error_callback(), imagetopnm(), info_callback(), OPJ_CODEC_J2K, opj_create_decompress(), opj_decode(), opj_destroy_codec(), opj_end_decompress(), opj_image_destroy(), opj_read_header(), opj_set_decode_area(), opj_set_default_decoder_parameters(), opj_set_error_handler(), opj_set_info_handler(), opj_set_warning_handler(), opj_setup_decoder(), opj_stream_create_default_file_stream(), opj_stream_destroy(), OPJ_TRUE, and warning_callback().

Referenced by jpipstream_to_pnm().